Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.analysis
Class ActiveGraphCImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.PhaseCImpl
                  |
                  +--swarm.analysis.ActiveGraphCImpl

public class ActiveGraphCImpl
extends PhaseCImpl
implements MessageProbeC, MessageProbeS, ActiveGraphS, ActiveGraphC

Provides a continuous data feed between Swarm and the GUI.. An active graph object is the glue between a MessageProbe (for reading data) and a Graph GraphElement. ActiveGraphs are created and told where to get data from and send it to, and then are scheduled to actually do graphic functions. This class is used by EZGraph, and we expect to see less direct usage of it by end-users as more analysis tools (such as EZGraph) internalize its functionality.

Fields inherited from class swarm.PhaseCImpl
`nextPhase`

Constructor Summary
`ActiveGraphCImpl()`
`ActiveGraphCImpl(ActiveGraph nextPhase)`

Methods implemented by this class for interface swarm.objectbase.MessageProbeC
`create$setProbedSelector, setProbedMethodName, setProbedSelector`

Methods implemented by this class for interface swarm.objectbase.MessageProbeS
`setHideResult`

Methods implemented by this class for interface swarm.analysis.ActiveGraphC
`setDataFeed, setElement`

Methods implemented by this class for interface swarm.objectbase.ProbeC
`setProbedClass, setProbedObject`

Methods implemented by this class for interface swarm.objectbase.ProbeS
`setSafety, unsetSafety`

Methods implemented by this class for interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods implemented by this class for interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Methods inherited from class swarm.PhaseCImpl
`_copy_creating_phase_to_using_phase`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActiveGraphCImpl

    public ActiveGraphCImpl(ActiveGraph nextPhase)

### ActiveGraphCImpl

    public ActiveGraphCImpl()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD